Bug 1070172 - python-glue-0.11.0 is available
Summary: python-glue-0.11.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-glue
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lorenzo Gil Sanchez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2014-02-26 11:04 UTC by Upstream Release Monitoring
Modified: 2016-05-29 22:22 UTC (History)
3 users (show)

Fixed In Version: python-glue-0.11.1-6.fc24 python-glue-0.11.1-6.fc23
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-25 20:02:47 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-02-26 11:04:58 UTC
Latest upstream release: 0.9.2
Current version/release in Fedora Rawhide: 0.4.1-1.fc21
URL: https://pypi.python.org/packages/source/g/glue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-04-03 10:40:28 UTC
Latest upstream release: 0.9.4
Current version/release in Fedora Rawhide: 0.9.1-1.fc21
URL: https://pypi.python.org/packages/source/g/glue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2015-03-03 00:32:31 UTC
Latest upstream release: 0.11.0
Current version/release in rawhide: 0.9.1-2.fc21
URL: https://pypi.python.org/pypi/glue

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2015-03-03 00:35:59 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9124872

Comment 4 Fedora Update System 2015-03-05 06:35:47 UTC
python-glue-0.9.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-glue-0.9.2-1.fc21

Comment 5 Fedora Update System 2015-03-05 06:43:57 UTC
python-glue-0.9.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-glue-0.9.2-1.fc22

Comment 6 Fedora Update System 2015-03-13 17:13:42 UTC
python-glue-0.9.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-15 10:52:33 UTC
python-glue-0.9.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-15 17:55:04 UTC
python-glue-0.9.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-glue-0.9.4-1.fc22

Comment 9 Fedora Update System 2015-03-15 18:16:28 UTC
python-glue-0.9.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-glue-0.9.4-1.fc21

Comment 10 Fedora Update System 2015-03-21 05:03:33 UTC
python-glue-0.9.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-03-26 22:01:44 UTC
python-glue-0.9.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Tomas Orsava 2016-04-05 15:01:47 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 13 Lorenzo Gil Sanchez 2016-04-05 16:58:14 UTC
I'll work on this ASAP. When I packaged python-glue for Fedora it didn't support Python 3 but I see that has changed recently.

Not really important but I guess this would have better go in a separate bug. This one is about version 0.11.0 and last version in Fedora 23 is 0.11.1

Comment 14 Tomas Orsava 2016-04-06 08:56:31 UTC
Hi, thank you for your commitment!

It is our policy to add this port-to-python-3-request to an existing new-version-available bug, since when porting your spec file you should always first update to the newest upstream version.

While true this bug report itself is a bit outdated, you can close it by updating your package to the newest version nonetheless.

Comment 15 Lorenzo Gil Sanchez 2016-04-29 07:18:48 UTC
This is taking longer than I expected because the upstream support for Python 3 is based on the 2to3 tool and I'm working on patches for upstream to drop this requirement which makes packaging harder.

Comment 16 Tomas Orsava 2016-04-29 13:31:27 UTC
That's great to hear, clean Python 3 support is much better than 2to3. Thank you for the initiative!

Comment 17 Lorenzo Gil Sanchez 2016-04-30 04:06:54 UTC
Here is a link to the upstream pull request: https://github.com/jorgebastida/glue/pull/208

Comment 18 Tomas Orsava 2016-05-02 11:43:22 UTC
Good job, fingers crossed!

Comment 19 Lorenzo Gil Sanchez 2016-05-18 04:20:07 UTC
Tomas, according to the guidelines:

"If the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable should be packaged. Transitioning from python2 to python3 is left to individual package maintainers except for packages in Fedora's critical path. For these, we want to port to python3 versions in the same Fedora release if possible. "

which means I should only provide the python 3 package. Also, from the same document:

"The python3 subpackage must provide python3-example. However, as the naming guidelines mandate that the python3 subpackage be named python3-example, this will happen automatically. "

which means the package name will change from python-glue to python3-glue.

Does this mean users who have already installed python-glue will not get automatically updated to python3-glue since the names are different?

Comment 20 Miro Hrončok 2016-05-18 09:20:02 UTC
If you change the name, you should do Provides, Obsoletes, see https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages

Comment 21 Tomas Orsava 2016-05-18 09:28:16 UTC
Hi!
The naming conventions of prefixing the package name by "python?-" only apply to Python modules [0]. Since your package is not a Python module (it's not being imported in third-party Python code) but a standard application/tool that only happens to be written in Python, it should actually be called just `glue`.

Therefore I suggest you create a single subpackage inside the spec file with the name `glue`. Technically, the package should be renamed, but that is a long and arduous process and we can get around it by the subpackage.

And to the subpackage `glue` you add the Provides and Obsoletes tags so that dnf knows that this subpackage is the successor of the `python-glue` package and automatically updates everybody to it so that the end users will not even notice anything has changed.

[0] https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

Comment 22 Lorenzo Gil Sanchez 2016-05-18 16:49:40 UTC
Thanks for the help Miro and Tomas. I'll do as Tomas suggested.

Comment 23 Lorenzo Gil Sanchez 2016-05-19 05:15:37 UTC
Can you review my latest changes at

http://pkgs.fedoraproject.org/cgit/rpms/python-glue.git/diff/python-glue.spec?id=699fc5f5e5f42b2174be87a0f1134566c5211df5

before I do a Rawhide build?

Comment 24 Miro Hrončok 2016-05-19 11:42:50 UTC
Looks good.

I've kicked a scratch build to see what comes out http://koji.fedoraproject.org/koji/taskinfo?taskID=14168250

Comment 25 Miro Hrončok 2016-05-19 12:06:33 UTC
One big problem. Now we have both glue and python-glue generated. We don't want that, so the %files section (the one without -n) should be removed.

Comment 26 Lorenzo Gil Sanchez 2016-05-20 04:39:56 UTC
OK, I removed the naked %files section and did a fedpkg build so it should go to Rawhide soon.

Do you think this change is safe enough to be push to the f24 branch and to bodhi?

Comment 27 Lorenzo Gil Sanchez 2016-05-20 04:41:07 UTC
Here is the Koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=14181582

Comment 28 Tomas Orsava 2016-05-20 08:20:35 UTC
Yes, it should be perfectly safe. The Provides and Obsoletes tags will assure that users won't notice a thing. I generally push it to F23 and F22 as well.

Thank you for your work!

Comment 29 Miro Hrončok 2016-05-20 08:49:35 UTC
I would recommend to try it on both F24 and F23 while in testing.

 1. Install python-glue form stable
 2. Test how it behaves
 3. Enable updates-testing and do dnf update
 4. Check if glue was updated and if it works the same

That way, we can be sure na push it to stable.

Comment 30 Fedora Update System 2016-05-21 04:18:23 UTC
python-glue-0.11.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc0e8fdcb2

Comment 31 Fedora Update System 2016-05-21 04:26:07 UTC
python-glue-0.11.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6051e1a289

Comment 32 Fedora Update System 2016-05-22 03:50:20 UTC
python-glue-0.11.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6051e1a289

Comment 33 Fedora Update System 2016-05-22 03:55:41 UTC
python-glue-0.11.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc0e8fdcb2

Comment 34 Lorenzo Gil Sanchez 2016-05-23 03:42:12 UTC
It seems to be working fine:

[fedora@localhost ~]$ sudo dnf update
[sudo] password for fedora: 
Fedora 23 - x86_64 - Test Updates                                                                                                               582 kB/s | 2.7 MB     00:04    
Dependencies resolved.
================================================================================================================================================================================
 Package                             Arch                                  Version                                         Repository                                      Size
================================================================================================================================================================================
Installing:
 glue                                noarch                                0.11.1-6.fc23                                   updates-testing                                335 k
     replacing  python-glue.noarch 0.11.1-3.fc23

Transaction Summary
================================================================================================================================================================================
Install  1 Package

Total download size: 335 k
Installed size: 806 k
Is this ok [y/N]: y
Downloading Packages:
glue-0.11.1-6.fc23.noarch.rpm                                                                                                                   252 kB/s | 335 kB     00:01    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                           187 kB/s | 335 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : glue-0.11.1-6.fc23.noarch                                                                                                                                   1/2 
  Obsoleting  : python-glue-0.11.1-3.fc23.noarch                                                                                                                            2/2 
  Verifying   : glue-0.11.1-6.fc23.noarch                                                                                                                                   1/2 
  Verifying   : python-glue-0.11.1-3.fc23.noarch                                                                                                                            2/2 

Installed:
  glue.noarch 0.11.1-6.fc23                                                                                                                                                     

Complete!

Comment 35 Fedora Update System 2016-05-25 20:02:44 UTC
python-glue-0.11.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-05-29 22:22:11 UTC
python-glue-0.11.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.